Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

EasyApache 4 not resolving conflict correctly

Discussion in 'CloudLinux' started by hicom, Sep 3, 2016.

  1. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    282
    Likes Received:
    2
    Trophy Points:
    168
    We have the exact same problem and YUM is saying the packages do not exist. We've unchecked PHP 7 completely and still got the same result:

    Code:
    yum shell
    Loaded plugins: fastestmirror, langpacks, product-id, rhnplugin, subscription-manager, tsflags, universal-hooks
    This system is not registered to CloudLinux Subscription Management. You can use subscription-manager to register.
    This system is receiving updates from CLN.
    > install ea-apache24-mod_mpm_worker
    Loading mirror speeds from cached hostfile
    * EA4: 192.99.194.164
    * cloudlinux-x86_64-server-7: xmlrpc.cln.cloudlinux.com
    Package 1:ea-apache24-mod_mpm_worker-2.4.23-2.el7.cloudlinux.x86_64 already installed and latest version
    > remove ea-apache24-mod_mpm_prefork
    No Match for argument: ea-apache24-mod_mpm_prefork
    > remove ea-apache24-mod_mpm_prefork
    No Match for argument: ea-apache24-mod_mpm_prefork
    > remove ea-apache24-mod_mpm_itk
    No Match for argument: ea-apache24-mod_mpm_itk
    > remove ea-apache24-mod_mpm_event
    No Match for argument: ea-apache24-mod_mpm_event
    
    • CLOUDLINUX 7.2 x86_64 standard – servername
    • WHM 58.0 (build 25)
    This is the error we are getting (CGID is selected, not CGI):

    Code:
    Update Error: Error: ea-apache24-mod_mpm_worker conflicts with 1:ea-apache24-mod_mpm_prefork-2.4.23-2.el7.cloudlinux.x86_64
    Error: ea-apache24-mod_cgi conflicts with 1:ea-apache24-mod_mpm_worker-2.4.23-2.el7.cloudlinux.x86_64
    Error: ea-apache24-mod_mpm_prefork conflicts with 1:ea-apache24-mod_mpm_worker-2.4.23-2.el7.cloudlinux.x86_64
    Error: ea-apache24-mod_cgid conflicts with 1:ea-apache24-mod_cgi-2.4.23-2.el7.cloudlinux.x86_64
    Error: ea-apache24-mod_mpm_worker conflicts with 1:ea-apache24-mod_cgi-2.4.23-2.el7.cloudlinux.x86_64
    Error: ea-apache24-mod_cgid conflicts with 1:ea-apache24-mod_mpm_prefork-2.4.23-2.el7.cloudlinux.x86_64
    Error: ea-apache24-mod_mpm_prefork conflicts with 1:ea-apache24-mod_cgid-2.4.23-2.el7.cloudlinux.x86_64
    Error: ea-apache24-mod_cgi conflicts with 1:ea-apache24-mod_cgid-2.4.23-2.el7.cloudlinux.x86_64
    
     
    #1 hicom, Sep 3, 2016
    Last edited by a moderator: Sep 4, 2016
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,423
    Likes Received:
    1,957
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. hicom

    hicom Well-Known Member

    Joined:
    May 23, 2003
    Messages:
    282
    Likes Received:
    2
    Trophy Points:
    168
    Hi Michael, I didn't take any steps. cPanel was installed on CentOS 7.2 x64, then upgraded to CloudLinux. When I checked WHM, EasyApache was already there after CloudLinux install (I did not check before ClouxLinux if it was there, nor did I try to recompile PHP/apache before CloudLinux).

    Does this help? Thanks.
     
  4. dalem

    dalem Well-Known Member
    PartnerNOC

    Joined:
    Oct 24, 2003
    Messages:
    2,772
    Likes Received:
    93
    Trophy Points:
    353
    Location:
    SLC
    cPanel Access Level:
    DataCenter Provider
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,423
    Likes Received:
    1,957
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    Yes, as mentioned in the earlier post, please try following the conversion steps documented at:

    Beta: EasyApache 4 released for CloudLinux

    Let us know if that helps.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice